Delete pass geofence by ID
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)This response has no body data.{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Engagement
Delete pass geofence by ID
Remove one of the pass’s geofence overrides. Removing the last one returns the pass to its program’s geofences. Program geofences can’t be removed per pass; their IDs return 404.
DELETE
https://api.platform.getstell.com
/
v1
/
passes
/
{passId}
/
geofences
/
{geofenceId}
Delete pass geofence by ID
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)This response has no body data.{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Path Parameters
Pass ID
ID of a pass override geofence: the stored id of a PASS_OVERRIDE entry from GET /v1/passes/{passId}/geofences, or the ID returned by POST or PUT. Program geofence IDs, and generated pass-geofence-… IDs for overrides stored without an ID, return 404.
Response
Geofence deleted successfully
Was this page helpful?